Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ClassBodyContext

- org.apache.groovy.parser.antlr4.GroovyParser.ClassBodyContext

-     public static class GroovyParser.ClassBodyContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassBodyContext(ParserRuleContext parent, int invokingState)`
    `ClassBodyContext(ParserRuleContext parent, int invokingState, int t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `COMMA()`
    `` | `public TerminalNode` | `LBRACE()`
    `` | `public TerminalNode` | `RBRACE()`
    `` | `public TerminalNode` | `SEMI()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ClassBodyDeclarationContext>` | `classBodyDeclaration()`
    `` | `public GroovyParser.ClassBodyDeclarationContext` | `classBodyDeclaration(int i)`
    `` | `public GroovyParser.EnumConstantsContext` | `enumConstants()`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public GroovyParser.NlsContext` | `nls(int i)`
    `` | `public List<? extends SepContext>` | `sep()`
    `` | `public GroovyParser.SepContext` | `sep(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public int t

  - ### Constructor Detail

    - #### public ClassBodyContext(ParserRuleContext parent, int invokingState)

    - #### public ClassBodyContext(ParserRuleContext parent, int invokingState, int t)

  - ### Method Detail

    - #### public TerminalNode COMMA()

    - #### public TerminalNode LBRACE()

    - #### public TerminalNode RBRACE()

    - #### public TerminalNode SEMI()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ClassBodyDeclarationContext> classBodyDeclaration()

    - #### public GroovyParser.ClassBodyDeclarationContext classBodyDeclaration(int i)

    - #### public GroovyParser.EnumConstantsContext enumConstants()

    - #### @Override
      public int getRuleIndex()

    - #### public List<? extends NlsContext> nls()

    - #### public GroovyParser.NlsContext nls(int i)

    - #### public List<? extends SepContext> sep()

    - #### public GroovyParser.SepContext sep(int i)